Package net.dona.doip.util.tls

## Class TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper

- java.lang.Object
- - javax.net.ServerSocketFactory
  - - javax.net.ssl.SSLServerSocketFactory
    - - net.dona.doip.util.tls.TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper

- Enclosing class:
    TlsProtocolAndCipherSuiteConfigurationUtil

      public static class TlsProtocolAndCipherSuiteConfigurationUtil.ServerSocketFactoryWrapper
      extends javax.net.ssl.SSLServerSocketFactory

  A wrapper for an `SSLServerSocketFactory` which ensures that all created server sockets will use appropriate protocols and cipher suites.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerSocketFactoryWrapper​(javax.net.ssl.SSLServerSocketFactory delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.ServerSocket` | `createServerSocket()` |
    `java.net.ServerSocket` | `createServerSocket​(int port)` |
    `java.net.ServerSocket` | `createServerSocket​(int port, int backlog)` |
    `java.net.ServerSocket` | `createServerSocket​(int port, int backlog, java.net.InetAddress ifAddress)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String[]` | `getDefaultCipherSuites()` |
    `java.lang.String[]` | `getSupportedCipherSuites()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class javax.net.ssl.SSLServerSocketFactory

      `getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSocketFactoryWrapper

          public ServerSocketFactoryWrapper​(javax.net.ssl.SSLServerSocketFactory delegate)

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket()
                                                   throws java.io.IOException

      Overrides:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket​(int port,
                                                          int backlog,
                                                          java.net.InetAddress ifAddress)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket​(int port,
                                                          int backlog)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket​(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in class `javax.net.ServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLServerSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLServerSocketFactory`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`